html, body{
    background-color: white;
    margin: 0;
    padding: 0;
    height: 100%;
    overflow-x: hidden;

}

header {

    text-align: center;
    display: flex;
    justify-content:space-between;
    align-items: center;

}

nav{
    align-items: center;
    display: flex;
    justify-content: space-between;
    width: 100%;
}
 
#logo{
    width: 100%;
    height: 150px;
    
}

.menu{
    width: 70%;
    font-size: x-large;
    list-style: none;
    display:flex;
    padding: 0px;
    align-items: center;
    justify-content:flex-end;
}

.option{
    text-align: center;
    position: relative;
}

.option::after{
    content: '▿';
    margin-left: 5px;
    display: inline-block;
    transition: transform 0.5s ease;
}
.option:hover::after{
    transform: rotate(180deg);
}



.sousOption{
    width: 100%;
    padding: 0;
    margin: 0;
    text-align: center;
    background-color: white;
    font-size: large;
    list-style: none;
    visibility: hidden;
    position: absolute;
    z-index: 1000;
    align-items: center;
    transform: translateY(-10px); 
    transition: opacity 0.5s ease, transform 0.5s ease;
    opacity: 0;
}

.option:hover .sousOption{
    transform: translateY(0); 
    visibility: visible;
    opacity: 1;
}

.sousOption li{
    padding-top: 10px;
    padding-bottom: 10px;
    width: 100%;
    border: 0.1px solid black;
}

.sousOption li a:hover{
    color: red;
}

.menu li{
    text-align: center;
    text-decoration: none;
    margin-right: 5%;
}

header a{
    text-decoration: none;
    color: black;
}


#contenair{
    height: 550px;
    padding-top: 50px;
    display: flex;
    justify-content: space-between;
    padding-right: 5%;
    padding-left: 5%;
}

#contenair2{
    font-size: large;
    padding-left: 5%;
    padding-right: 5%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}


#lien_gpx{
    text-decoration: none;
    color: black;
    border: solid 1px black;
    padding: 5px;
    border-radius: 5%;
    transition: background-color 0.3s ease;
}

#lien_gpx:hover{
    background-color: gainsboro;
}

#informations{
    width: 30%;
}

#content{
    font-size: larger;
    overflow-y: scroll;
    overflow-x: hidden;
    width: 70%;
    margin-right: 10px;
   
}

#map{
    margin-left: auto;
    margin-right: auto;
    width: 100%;
    height: 300px;
}


.b1{
    color: red;
}

.b2{
    color: rgb(209, 209, 1);
}

.b3{
    background-color: black;
    color: white;
}


footer{
    text-align: center;
    margin: 0;
    padding-bottom: 5px;
    padding-top: 2px;
    font-size: large;
    background-color: #2E8B57;
    color: white;
}

#footer-contenair{
    justify-content: center;
    display: flex;
}

.footer-section a{
    display: block;
    text-decoration: none;
    color: white;

}

.footer-section a:hover{
    text-decoration: underline;
}

#ligne-verticale{
    margin: 20px;
    width: 2px;
    height: 150px;
    background-color: gainsboro;
}

.logo-Resaux{
    vertical-align: middle;
    width: 30px;
    height: 30px;
}

.icon-marker{
        background: transparent;
        border: none;
}

.marker{
    background-color: #2E8B57;
    width: 25px;
    height: 25px;
    color: white;
    border-radius: 50%;
    display: flex;
    text-decoration: none;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    border: 2px solid white;
}



.contenair-image{
    display: flex;
    flex-wrap: wrap;
}

.text-image{
    text-align: center;
    margin-top: 3px;
    color: rgb(60, 59, 59);
}

 .contenair-image img{
    width: 100%;
    border: 1px solid white;
    border-radius: 5%;
}

.contenair-image div{
    width: 48%;
    padding: 0.5%;
    align-items: center;
}

#div-images{
    position: relative;
    display: flex;
}

#div-images img{
    margin-left: 3px;
    width: 33%;
}


#image-plus{
    width: 33%;
    position: relative;
}

#image-plus img{
    width: 100%;
    height: 100%;
    opacity: 50%;
}

#nb-photo{
    color: white;
    font-size: larger;
    position: absolute;
    bottom: 5%;
    right: 5%;
}

#plus{
    width:15%;
    height:15%;
    border: solid 2px black;
    background-color: rgb(62, 58, 58);
    padding: 5px;
    border-radius: 10%;
    top : 43%;
    right: 35%;
    z-index: 1000;
    position: absolute;
    transition: background-color 0.5s ease;
}

#plus:hover{
    background-color: red;
}

#overlay{
    position: fixed;
    z-index: 1000;
    top:0;
    left:0;
    width:100%;
    height: 100%;
    background: rgba(0,0,0,0.8);
    display:none;
    align-items: center;
}

.button{
    margin: 5%;
    font-size: xx-large;
    border-radius: 30%;
    padding: 15px;
    color: white;
    border: 3px solid black;
    background-color: rgb(62, 58, 58);
    transition: color 0.5s ease;
}

.button:hover{
    color: red;
}

#close{
    border: 3px solid black;
    background-color: rgb(62, 58, 58);
    padding: 10px;
    border-radius: 15%;
    position: absolute;
    top : 50px;
    right: 80px;
    cursor: pointer;
}


#overlay-img{
    max-width:100%;
    max-height:100%;
    transition: transform 0.3s ease;
    cursor:pointer;
    display: block;
}


#overlay div{
    display: flex;
    width: 100%;
    height: 90%;
   
    align-items:center;
    justify-content: space-between;
}



@media (max-width: 768px){

    /*Header*/
    .menu{
        font-size:smaller;
    }

    #logo{
        height: 100px;
    }

    #contenair{
        height: 100%;
        flex-direction: column;
    }
    
    #contenair2{
        font-size: large;
        width: 90%;
    }

    #informations{
        order: 1;
        width: 100%;
    }

    #content{
        font-size: large;
        order: 2;
        width: 100%;
        overflow-y:hidden;
    }


    #map{
        width: 100%;
        height: 200px;
    }

    .button{
        display: none;

    }

    
    #overlay div{
        
    
       height: 100%;
       display: block;
    }

    #overlay-img{
        
        margin-top: 45%;
        display: block;
    }

    #close{
        top : 8%;
        right: 10%;
    }

    #nb-photo{
        z-index: -1000;
        position: relative;
        color: white;
        font-size: larger;
        margin-left: 45%;
        padding-top: 10%;
    }
}